| Home | Libraries | People | FAQ | More

##### end

###### Description

Returns the result type of `end`.

###### Synopsis

    template<typename Seq>
    struct end
    {
        typedef unspecified type;
    };

Table 1.20. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence

###### Expression Semantics

    result_of::end<Seq>::type

Return type: A model of the same traversal concept as `Seq`.

Semantics: Returns the type of an iterator one past the end of `Seq`.

/sequence/intrinsic/end.hpp>

###### Example

    typedef vector<int> vec;
    typedef result_of::prior<result_of::end<vec>::type>::type first;
    BOOST_MPL_ASSERT((result_of::equal_to<first, result_of::begin<vec>::type>))